local PLUGIN = PLUGIN

PLUGIN.name = "Airdrop"
PLUGIN.author = "Scripty"
PLUGIN.description = "Airdrop plugin."

ix.config.Add("airdropPlaneModel", "models/il76/il_76_fly.mdl", "Модель самолета для аирдропа.", nil, {
	category = "Airdrop"
})

ix.config.Add("airstrikePlaneModel", "models/gunkov2056/su25.mdl", "Модель самолета для авиаудара.", nil, {
	category = "Airdrop"
})

ix.config.Add("airdropMinInterval", 3600, "Минимальный интервал между аирдропами (в секундах).", nil, {
	data = {min = 60, max = 86400},
	category = "Airdrop"
})

ix.config.Add("airdropMaxInterval", 7200, "Максимальный интервал между аирдропами (в секундах).", nil, {
	data = {min = 60, max = 86400},
	category = "Airdrop"
})

ix.config.Add("airdropWeapons", [[tacrp_io_degala
tacrp_io_fiveseven
tacrp_mr96
tacrp_pdw
tacrp_superv
tacrp_sd_aac_hb
tacrp_ak_ak12
tacrp_ak_an94
tacrp_sg551
tacrp_io_xm8car
tacrp_hk417
tacrp_io_scarh
tacrp_mg4
tacrp_io_xm8lmg
tacrp_io_sg550r
tacrp_io_sl8
tacrp_io_sg550
tacrp_io_vss
tacrp_as50
tacrp_ex_hecate
tacrp_civ_m320]], "Список оружия, которое может выпасть из аирдропа (каждое с новой строки).", nil, {
	category = "Airdrop"
})

ix.config.Add("airstrikeMinInterval", 1800, "Минимальный интервал между авиаударами (в секундах).", nil, {
	data = {min = 60, max = 86400},
	category = "Airdrop"
})

ix.config.Add("airstrikeMaxInterval", 3600, "Максимальный интервал между авиаударами (в секундах).", nil, {
	data = {min = 60, max = 86400},
	category = "Airdrop"
})

ix.command.Add("AirdropForce", {
	description = "Принудительно вызвать случайный аирдроп.",
	privilege = "Manage Airdrops",
	superAdminOnly = true,
	OnRun = function(self, client)
		PLUGIN:SpawnAirdrop()
		ix.util.Notify("Аирдроп был вызван администратором.", nil, "all")
	end
})

ix.command.Add("AirdropGive", {
	description = "Вызвать аирдроп с конкретным оружием.",
	privilege = "Manage Airdrops",
	superAdminOnly = true,
	arguments = {
		ix.type.string
	},
	OnRun = function(self, client, weapon)
		PLUGIN:SpawnAirdrop(weapon)
		ix.util.Notify("Аирдроп с " .. weapon .. " был вызван администратором.", nil, "all")
	end
})

ix.command.Add("AirstrikeForce", {
	description = "Принудительно вызвать авиаудар.",
	privilege = "Manage Airdrops",
	superAdminOnly = true,
	OnRun = function(self, client)
		PLUGIN:SpawnAirstrike()
		ix.util.Notify("Авиаудар был вызван администратором.", nil, "all")
	end
})

ix.util.Include("sv_plugin.lua")
